Package org.eclipse.rdf4j.query.parser.sparql

## Class TupleExprBuilder.VarCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder.VarCollector

- All Implemented Interfaces:
    `QueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>`
  Enclosing class:
    TupleExprBuilder

      protected class TupleExprBuilder.VarCollector
      extends AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `VarCollector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Var>` | `getCollectedVars()` |
    `void` | `meet​(Var var)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VarCollector

          protected VarCollector()

  - ### Method Detail

    - #### meet

          public void meet​(Var var)

      Specified by:
        `meet` in interface `QueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>`

    - #### getCollectedVars

          public Set<Var> getCollectedVars()

      Returns:
        Returns the collectedVars.